Subject: Re: bug#7190: Crash in menus on w32

From: Jason Rumney <[email-masked]>
Date: Fri, 22 Oct 2010 22:09:29 +0800

grischka <[email-masked]> writes:

>> The above code was to fix a memory and resource leak in that case.
>
> With the patch, leaking these strings cannot happen by design also
> provided the MENUITEMs themselves are destroyed correctly always which
> is made sure by bugs 2/3 fixed:
>>> 2) memory leak: was trying to free items from already deleted menu
>>> 3) memory leak: was trying to free menu from already deleted window

OK, I understand now - it seems you have fixed the underlying bug that
caused that memory leak to happen in the first place, so the timer
kludge is no longer neccesary.